top button
Flag Notify
    Connect to us
      Facebook Login
      Site Registration Why to Join

Facebook Login
Site Registration

Struts-core spring dependencies

0 votes
58 views

We want to migrate Struts 2.3.16 from 1.x. Based on the documentation provided by Apache Struts at http://struts.apache.org/development/2.x/struts2-core/dependencies.html# the spring version they recommend seems to be 3.0.5.

Can we use a later version of Spring instead? We are using spring 3.2.8 in other apps. Is spring 3.2.8 compatible with Struts 2.3.16?

posted May 27, 2014 by Deepak Dasgupta

Looking for an answer?  Promote on:
Facebook Share Button Twitter Share Button LinkedIn Share Button

Similar Questions
0 votes

I have a very minimal struts app I wrote some years ago. I want to upgrade it from 2.3 to 2.5. I'm wondering what requirements would allow the use of the essential dependencies jar. I am using only jstl tags, no struts tags. And my app is pretty simple.

+1 vote

Which features of S2 use ASM?

The S2 project dependencies (http://struts.apache.org/release/2.3.x/struts2-core/dependencies.html ) shows that xworks depends on:

- asm-3.3.jar
- asm-commons-3.3.jar
- asm-tree-3.3.jar

These ASM jar don't seems to actually be needed by a project I have so I'm guessing they are only needed for some specific feature. Does anyone know which features need ASM?

0 votes

I have been tasked with upgrading Apache Struts, running on CentOS 7, to the latest version. I have no idea where to begin. I am not a web developer, I am only a system administrator, so I have no idea where I should even look to figure out how to upgrade this thing. Any and all help will be greatly appreciated!

Contact Us
+91 9880187415
sales@queryhome.net
support@queryhome.net
#280, 3rd floor, 5th Main
6th Sector, HSR Layout
Bangalore-560102
Karnataka INDIA.
QUERY HOME
...